# RedHat-style .spec file for Xapian
# omega.spec.  Generated from omega.spec.in by configure.
%define contentdir /var/lib

Summary: Xapian-based indexing and search utilities.
Name: omega
Version: 0.7.3
Release: 1
License: GPL
Vendor: www.xapian.org
Group: Applications/Internet
URL: http://www.xapian.org/
# FIXME: once we reach 1.0 "=" should become ">="
Requires: xapian-core = %{version}, webserver
BuildRequires: xapian-core-devel = %{version}
Source0: http://www.tartarus.org/~olly/xapian-%{version}/%{name}-%{version}.tar.gz

# Where are we going to build the install set to?
BuildRoot: %{_tmppath}/%{name}-root

%description
Omega is a CGI application which uses the Xapian Information Retrieval
library to index and search collections of documents.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=/usr
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
make install-strip DESTDIR=%{buildroot}
mkdir -p %{buildroot}/usr/lib/omega/
# CGI application
mkdir -p %{buildroot}/var/www/cgi-bin/
mv %{buildroot}/usr/lib/omega/bin/omega %{buildroot}/var/www/cgi-bin
# Create the data directory
mkdir -p %{buildroot}%{contentdir}/omega/data
# Default templates
mkdir -p %{buildroot}%{contentdir}/omega/templates
cp templates/* %{buildroot}%{contentdir}/omega/templates/
# Images
mkdir -p %{buildroot}/var/www/icons/omega
cp -r images/* %{buildroot}/var/www/icons/omega/
# Configuration file
mkdir -p %{buildroot}/etc
install -D -m644 omega.conf %{buildroot}/etc/omega.conf
# move the docs to the right place
mv %{buildroot}/usr/share/doc/%{name} %{buildroot}/usr/share/doc/%{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/dbi2omega
%{_bindir}/omindex
%{_bindir}/scriptindex
%{contentdir}/omega
/var/www/cgi-bin/omega
/var/www/icons/omega
%docdir /usr/share/doc/%{name}-%{version}

%config(noreplace) /etc/omega.conf

%doc AUTHORS ChangeLog COPYING NEWS README TODO
